<template>
  <div class="heart-container">
    <template v-for="i in numberOfHearts">
      <transition name="heartChange" :key="i">
        <img src="~/static/fight_images/heart.png" class="heart" alt="heart" />
      </transition>
    </template>
  </div>
</template>

<script>
import { createNamespacedHelpers } from 'vuex'

const storeModules = {
  player: createNamespacedHelpers('player')
}

export default {
  computed: {
    ...storeModules.player.mapState(['numberOfHearts'])
  }
}
</script>

<style>
.heart-container {
  position: absolute;
  left: 64px;
}

.heart-container .heart {
  height: 48px;
  width: 48px;
  margin-right: -24px;
  image-rendering: -moz-crisp-edges;
  image-rendering: -o-crisp-edges;
  image-rendering: pixelated;
}

.heartChange-leave-active {
  animation: rollOut 0.5s;
}
</style>
